Subject: Re: [PATCH RESEND net-next] net: stmmac: dwmac-rk: Provide FIFO sizes for DWMAC 1000

From: Jakub Kicinski <[email-masked]>
Date: Fri, 21 Feb 2025 16:38:42 -0800

On Fri, 21 Feb 2025 00:40:31 +0800 Chen-Yu Tsai wrote:
> The recent commit 8865d22656b4 ("net: stmmac: Specify hardware
> capability value when FIFO size isn't specified") changed this by
> requiring the FIFO sizes to be provided, breaking devices that were
> working just fine.
> 
> Provide the FIFO sizes through the driver's platform data, to not
> only fix the breakage, but also enable MTU changes. The FIFO sizes
> are confirmed to be the same across RK3288, RK3328, RK3399 and PX30,
> based on their respective manuals. It is likely that Rockchip
> synthesized their DWMAC 1000 with the same parameters on all their
> chips that have it.
> 
> Fixes: eaf4fac47807 ("net: stmmac: Do not accept invalid MTU values")
> Fixes: 8865d22656b4 ("net: stmmac: Specify hardware capability value when FIFO size isn't specified")
> Cc: <[email-masked]>
> Signed-off-by: Chen-Yu Tsai <[email-masked]>
> ---
> (Resending to net-next instead of netdev.)
> 
> The commit that broke things has already been reverted in netdev.
> 
> The reason for stable inclusion is not to fix the device breakage
> (which only broke in v6.14-rc1), but to provide the values so that MTU
> changes can work in older kernels.

Thanks for the resend, the explanation under the --- marker makes sense
but that part gets cut off when we apply the patch. You need to improve
the main body of the commit. Remove the references to the reverted
commit, please, for all practical purposes it no longer matters.
Please remove the Fixes tags and CC stable since it's not a fix
-- 
pw-bot: cr